Skip to content
API reference

Attribution

How leads from each channel turn into customers.

GET/attribution

List attribution

Needs the permission attribution:read.

ParameterInTypeNotes
fromquerystring
toquerystring
includeTestqueryone of true, false
modelqueryone of first, lastdefault "first"
curl -X GET https://crm.anibrosdesign.com/api/v1/attribution \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 400 401 403 429

GET/attribution/channels

Get channels (attributions)

Needs the permission attribution:read.

curl -X GET https://crm.anibrosdesign.com/api/v1/attribution/channels \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 401 403 429

PUT/attribution/channels/{source}

Set channels (attribution)

Needs the permission attribution:manage.

ParameterInTypeNotes
source requiredpathone of website, referral, portal, direct, meta_ads, google_ads, walk_in, other
Body fieldTypeNotes
channel requiredone of paid_social, paid_search, website, referral, portal, offline, direct, untracked
curl -X PUT https://crm.anibrosdesign.com/api/v1/attribution/channels/{source} \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"channel":"paid_social"}'

Responses: 200 400 401 402 403 404 412 429

GET/attribution/leads

Get leads (attributions)

Needs the permission attribution:read.

ParameterInTypeNotes
limitqueryintegerat least 1. up to 200. default 50
cursorquerystringup to 512 characters
fromquerystring
toquerystring
includeTestqueryone of true, false
modelqueryone of first, lastdefault "first"
metric requiredqueryone of leads, qualified, visits, booked, won
sourcequeryone of website, referral, portal, direct, meta_ads, google_ads, walk_in, other
campaignquerystringup to 200 characters
noCampaignqueryone of true
curl -X GET https://crm.anibrosdesign.com/api/v1/attribution/leads \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 400 401 403 429

Something missing or unclear? Tell us.

Chat on WhatsApp